<!--
 Copyright (c) 2023 by frostime (Yp Z), All Rights Reserved.
 Author       : Yp Z
 Date         : 2023-07-07 22:12:24
 FilePath     : /src/lib/Table.svelte
 LastEditTime : 2023-07-08 15:09:21
 Description  : 
-->
<table class="sslib__table">
    <slot />
</table>

<style lang="scss">
    .sslib__table {
        display: table;
        border-collapse: collapse;
        border: 1px solid var(--b3-theme-surface-light);

        :global(.row) {
            display: table-row;

            :global(.cell) {
                display: table-cell;
                padding: 10px 5px;
                border: 1px solid var(--b3-theme-surface-light);
                color: var(--b3-theme-on-background);
                box-sizing: border-box;
                word-break: break-word;
                min-width: 5em;
            }

            :global(.cell.narrow) {
                width: 2rem;
                min-width: 1em;
                text-align: center;
            }

        }
        :global(.row.header) {
            display: table-header-group;
            font-weight: bold;
            background-color: var(--b3-theme-background);
        }
    }
</style>
